```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# final class Generator (Details)
> namespace: **VDM\Joomla\Componentbuilder\Power**
```uml
@startuml
class Generator << (F,LightGreen) >> #RoyalBlue {
  # ClassInjector $classinjector
  # ServiceProvider $serviceprovider
  + __construct(ClassInjector $classinjector, ServiceProvider $serviceprovider)
  + get(array $power) : ?string
}

note right of Generator::__construct
  Constructor.

  since: 3.2.0
end note

note right of Generator::get
  Get the class code.

  since: 3.2.0
  return: ?string
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

