```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# class Readme (Details)
> namespace: **VDM\Joomla\Componentbuilder\Compiler\Power\Repo**
```uml
@startuml
class Readme  #Gold {
  # Power $power
  # Plantuml $plantuml
  + __construct(?Power $power = null, ?Plantuml $plantuml = null)
  + get(object $power) : string
}

note right of Readme::__construct
  Constructor.

  since: 3.2.0
end note

note right of Readme::get
  Get a Power Readme

  since: 3.2.0
  return: string
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

