```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# final class Permission (Details)
> namespace: **VDM\Joomla\Componentbuilder\Compiler\Adminview**
```uml
@startuml
class Permission << (F,LightGreen) >> #RoyalBlue {
  # HasPermissions $haspermissions
  + __construct(HasPermissions $haspermissions)
  + check(array $view, string $nameSingleCode) : bool
}

note right of Permission::__construct
  Constructor.

  since: 3.2.0
end note

note right of Permission::check
  Check to see if a view has permissions

  since: 3.2.0
  return: bool
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

